# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSortableItem< T, Key > Class Template Reference

KSortableItem is a QPair that provides several operators for sorting. More...

`#include <ksortablevaluelist.h>`

Inheritance diagram for KSortableItem< T, Key >:

[legend]
Collaboration diagram for KSortableItem< T, Key >:

[legend]
List of all members.

## Public Member Functions

| KSortableItem (Key i, const T &t)
| KSortableItem (const KSortableItem< T, Key > &rhs)
| KSortableItem ()
KSortableItem< T, Key > & | operator= (const KSortableItem< T, Key > &i)
bool | operator> (const KSortableItem< T, Key > &i2) const
bool | operator< (const KSortableItem< T, Key > &i2) const
bool | operator>= (const KSortableItem< T, Key > &i2) const
bool | operator<= (const KSortableItem< T, Key > &i2) const
bool | operator== (const KSortableItem< T, Key > &i2) const
bool | operator!= (const KSortableItem< T, Key > &i2) const
T & | value ()
const T & | value () const
Key | index () const

## Detailed Description

### template<class T, class Key = int>
class KSortableItem< T, Key >

KSortableItem is a QPair that provides several operators for sorting.

See also:
  KSortableValueList

Definition at line 32 of file ksortablevaluelist.h.

## Constructor & Destructor Documentation

template<class T, class Key = int>
KSortableItem< T, Key >::KSortableItem | ( | Key | i,
|  | const T & | t
| ) | `[inline]`

Creates a new KSortableItem with the given values.

Parameters:

  | i | the first value
  | t | the second value

Definition at line 40 of file ksortablevaluelist.h.

template<class T, class Key = int>
KSortableItem< T, Key >::KSortableItem | ( | const KSortableItem< T, Key > & | rhs | ) | `[inline]`

Creates a new KSortableItem that copies another one.

Parameters:

  | rhs | the other item to copy

Definition at line 45 of file ksortablevaluelist.h.

template<class T, class Key = int>
KSortableItem< T, Key >::KSortableItem | ( |  | ) | `[inline]`

| Creates a new KSortableItem with uninitialized values. Definition at line 51 of file ksortablevaluelist.h.

## Member Function Documentation

template<class T, class Key = int>
KSortableItem<T, Key>& KSortableItem< T, Key >::operator= | ( | const KSortableItem< T, Key > & | i | ) | `[inline]`

| Assignment operator, just copies the item. Definition at line 56 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator> | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 67 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator< | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 74 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator>= | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 81 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator<= | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 88 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator== | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 95 of file ksortablevaluelist.h.

template<class T, class Key = int>
bool KSortableItem< T, Key >::operator!= | ( | const KSortableItem< T, Key > & | i2 | ) | const`[inline]`

| Compares the two items. This implementation only compares the first value. Definition at line 102 of file ksortablevaluelist.h.

template<class T, class Key = int>
T& KSortableItem< T, Key >::value | ( |  | ) | `[inline]`

Returns:
  the second value

Definition at line 109 of file ksortablevaluelist.h.

template<class T, class Key = int>
const T& KSortableItem< T, Key >::value | ( |  | ) | const`[inline]`

| Returns the second value. Definition at line 114 of file ksortablevaluelist.h.

template<class T, class Key = int>
Key KSortableItem< T, Key >::index | ( |  | ) | const`[inline]`

Returns:
  the first value.

Definition at line 119 of file ksortablevaluelist.h.

The documentation for this class was generated from the following file:

- ksortablevaluelist.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:05 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003